A wiki page for managing the 6.10 handover

Bulat Ziganshin bulat.ziganshin at gmail.com
Sat Oct 11 14:02:20 EDT 2008

Hello Don,

Saturday, October 11, 2008, 9:54:10 PM, you wrote:

seems that i misunderstood it: i thought it's a list of base4 vs base3
changes, but actually it seems like a base30 vs base31?

base3 -> base4 upgrade hints are not documented anywhere?

> bulat.ziganshin:
>> Hello Don,
>> Saturday, October 11, 2008, 9:21:47 PM, you wrote:
>> > It collects the 7 or so known issues that break code with GHC 6.10.
>> i've quickly tried to compile my app with 6.10 (using base4). all the
>> problems i got was due to exception handling. catch, finally, throwIO
>> doesn't work
>> added to wiki

> The fix for exception handling and friends is to add a dependency on
> base-3,

> http://haskell.org/haskellwiki/Upgrading_packages#Adding_base-3_constraints

> If you build your app with cabal-install, it will work this out for you,
> otherwise, you need to add something like

>      --constraint="base<4"

> if you use runhaskell, or

>     --package base-

> if you use ghc --make.

> -- Don

Best regards,
 Bulat                            mailto:Bulat.Ziganshin at gmail.com

More information about the Libraries mailing list